# Class StringIndexOutOfBoundsException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.lang.IndexOutOfBoundsException
java.lang.StringIndexOutOfBoundsException

All Implemented Interfaces:
  `Serializable`

public class StringIndexOutOfBoundsException extends java.lang.IndexOutOfBoundsException
Thrown by the charAt method in class String and by other String methods to indicate that an index is either negative or greater than or equal to the size of the string. Since: JDK1.0, CLDC 1.0 See Also:String.charAt(int)

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StringIndexOutOfBoundsException()`
  Constructs a StringIndexOutOfBoundsException with no detail message.
  `StringIndexOutOfBoundsException(int index)`
  Constructs a new StringIndexOutOfBoundsException class with an argument indicating the illegal index.
  `StringIndexOutOfBoundsException(java.lang.String s)`
  Constructs a StringIndexOutOfBoundsException with the specified detail message.

- ## Method Summary

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### StringIndexOutOfBoundsException

    public StringIndexOutOfBoundsException()
    Constructs a StringIndexOutOfBoundsException with no detail message. JDK1.0.

  - ### StringIndexOutOfBoundsException

    public StringIndexOutOfBoundsException(int index)
    Constructs a new StringIndexOutOfBoundsException class with an argument indicating the illegal index. index - the illegal index.

  - ### StringIndexOutOfBoundsException

    public StringIndexOutOfBoundsException(java.lang.String s)
    Constructs a StringIndexOutOfBoundsException with the specified detail message. s - the detail message.